<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">

		let celdas=[];

		function aleatorio() {

			celdas=document.querySelectorAll("td");

			for (i=0;i<celdas.length;i++) {

				celdas[i].innerHTML=parseInt(1+Math.random()*9);	
			}
		
		}

		/* en cada uno de los td debe colocar un numero aleatorio entre 1 y 10
		cuando el usuario haga clic en una celda, la celda se vacía y se coloca en fondo azul*/
		function cambiar(objeto) {

			objeto.innerHTML="";
			objeto.style.width = "10px";
			objeto.style.heigth = "10px";
			objeto.style.backgroundColor = 'BLUE';


		}


	</script>
</head>
<body onload="aleatorio()">

	<table border="1">
		<tr>
			<td onclick="cambiar(this)">1</td>
			<td onclick="cambiar(this)">2</td>
			<td onclick="cambiar(this)">3</td>
			<td onclick="cambiar(this)">4</td>
			<td onclick="cambiar(this)">5</td>
		</tr>
	</table>
	
</body>
</html>